Skip to main content
GET
/
order
/
{orderId}
Get order
curl --request GET \
  --url https://api.example.com/order/{orderId}
{
  "orderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "routeType": "<string>",
  "orderType": "<string>",
  "provider": "<string>",
  "path": [
    "<string>"
  ],
  "status": "unfilled",
  "senderAddress": "<string>",
  "destinationAddress": "<string>",
  "refundAddress": "<string>",
  "otcSwapId": "<string>",
  "swapperSwapId": "<string>",
  "cowOrderUid": "<string>",
  "sellCurrency": {
    "chain": {
      "kind": "<string>"
    },
    "token": {
      "kind": "<string>",
      "decimals": 1
    }
  },
  "buyCurrency": {
    "chain": {
      "kind": "<string>"
    },
    "token": {
      "kind": "<string>",
      "decimals": 1
    }
  },
  "quoteMode": "<string>",
  "quotedSellAmount": "<string>",
  "quotedBuyAmount": "<string>",
  "quotedMinimumBuyAmount": "<string>",
  "quotedMaximumSellAmount": "<string>",
  "executedSellAmount": "<string>",
  "executedBuyAmount": "<string>",
  "executedFeeAmount": "<string>",
  "depositTxHash": "<string>",
  "payoutTxHash": "<string>",
  "refundTxHash": "<string>",
  "rawRouterJson": null,
  "rawExternalDEXOrderJson": null,
  "rawOtcJson": null,
  "rawSwapperJson": null,
  "externalDexStatus": {
    "provider": "<string>",
    "status": "<string>"
  },
  "teeOtcStatus": {
    "status": "<string>"
  },
  "teeSwapperStatus": {
    "status": "<string>",
    "orderStatus": "<string>",
    "refundState": "<string>"
  },
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "lastSourceUpdateAt": "2023-11-07T05:31:56Z",
  "terminalAt": "2023-11-07T05:31:56Z"
}

Path Parameters

orderId
string<uuid>
required

The public order ID

Response

200 - application/json

Order

Order response

orderId
string<uuid>
required

The public order ID

routeType
string
required

Order route type

orderType
string | null
required

Order type such as market or limit

provider
string | null
required
path
string[] | null
required

Ordered execution path across participating systems

status
enum<string>
required

Public coarse order status

Available options:
unfilled,
filled,
cancelled,
settled,
refunded,
failed
senderAddress
string | null
required

Ethereum address or Bitcoin address

destinationAddress
string | null
required

Ethereum address or Bitcoin address

refundAddress
string | null
required

Ethereum address or Bitcoin address

otcSwapId
string | null
required
swapperSwapId
string | null
required
cowOrderUid
string | null
required
sellCurrency
object
required

Currency is defined as a chain and token identifier

buyCurrency
object
required

Currency is defined as a chain and token identifier

quoteMode
required
Allowed value: "exact_input"
quotedSellAmount
string | null
required

Unsigned 256-bit integer as a base-unit decimal string (no decimals)

Minimum string length: 1
Pattern: ^[0-9]+$
quotedBuyAmount
string | null
required

Unsigned 256-bit integer as a base-unit decimal string (no decimals)

Minimum string length: 1
Pattern: ^[0-9]+$
quotedMinimumBuyAmount
string | null
required

Unsigned 256-bit integer as a base-unit decimal string (no decimals)

Minimum string length: 1
Pattern: ^[0-9]+$
quotedMaximumSellAmount
string | null
required

Unsigned 256-bit integer as a base-unit decimal string (no decimals)

Minimum string length: 1
Pattern: ^[0-9]+$
executedSellAmount
string | null
required

Unsigned 256-bit integer as a base-unit decimal string (no decimals)

Minimum string length: 1
Pattern: ^[0-9]+$
executedBuyAmount
string | null
required

Unsigned 256-bit integer as a base-unit decimal string (no decimals)

Minimum string length: 1
Pattern: ^[0-9]+$
executedFeeAmount
string | null
required

Unsigned 256-bit integer as a base-unit decimal string (no decimals)

Minimum string length: 1
Pattern: ^[0-9]+$
depositTxHash
string | null
required

Transaction hash

payoutTxHash
string | null
required

Transaction hash

refundTxHash
string | null
required

Transaction hash

rawRouterJson
unknown
required
rawExternalDEXOrderJson
unknown
required
rawOtcJson
unknown
required
rawSwapperJson
unknown
required
externalDexStatus
ExternalDexStatus · object
required

External DEX provider state for the order, when applicable

teeOtcStatus
TeeOtcStatus · object
required

tee-otc status for the order, when applicable

teeSwapperStatus
TeeSwapperStatus · object
required

tee-swapper status for the order, when applicable

createdAt
string<date-time>
required
updatedAt
string<date-time>
required
lastSourceUpdateAt
string<date-time> | null
required
terminalAt
string<date-time> | null
required